Public Member Functions | Public Attributes | List of all members
MouseWrtParserInternal::State Struct Reference

Internal: the state of a MouseWrtParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
long | m_blockSizes [5]
| the first zone's size More...
std::map< int, MWAWFont > | m_charPLCMap
| the map position to charPLC More...
std::map< int, Paragraph > | m_paraPLCMap
| the map position to paraPLC More...
MWAWEntry | m_text
| the main text entry More...
Zone | m_zones [2]
| the header and the footer zone More...

## Detailed Description

Internal: the state of a MouseWrtParser.

## Constructor & Destructor Documentation

## ◆ State()

MouseWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int MouseWrtParserInternal::State::m_actPage

the actual page

## ◆ m_blockSizes

long MouseWrtParserInternal::State::m_blockSizes[5]

the first zone's size

## ◆ m_charPLCMap

std::map<int, MWAWFont> MouseWrtParserInternal::State::m_charPLCMap

the map position to charPLC

## ◆ m_numPages

int MouseWrtParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_paraPLCMap

std::map<int, Paragraph> MouseWrtParserInternal::State::m_paraPLCMap

the map position to paraPLC

## ◆ m_text

MWAWEntry MouseWrtParserInternal::State::m_text

the main text entry

## ◆ m_zones

Zone MouseWrtParserInternal::State::m_zones[2]

the header and the footer zone

The documentation for this struct was generated from the following file:

- MouseWrtParser.cxx